GStreamer::Object(3)

NAME
GStreamer::Object

HIERARCHY
  Glib::Object
  +----GStreamer::Object

METHODS

  boolean = $object->has_ancestor ($ancestor)

•   $ancestor (GStreamer::Object)

  string or undef = $object->get_name

  string or undef = $object->get_name_prefix

  $object->set_name_prefix ($name_prefix)

•   $name_prefix (string or undef)

  $object->set_name ($name)

•   $name (string or undef)

  object or undef = $object->get_parent

  $object->set_parent ($parent)

•   $parent (GStreamer::Object)

  string = $object->get_path_string

  $object->unparent

PROPERTIES

'name' (string : default undef : readable / writable / construct / private)
    The name of the object

SIGNALS

deep-notify (GStreamer::Object, GStreamer::Object, Glib::ParamSpec)
object-saved (GStreamer::Object, gpointer)
parent-set (GStreamer::Object, GStreamer::Object)
parent-unset (GStreamer::Object, GStreamer::Object)

SEE ALSO
GStreamer, Glib::Object

COPYRIGHT
Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See GStreamer for a full notice.